AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Pay with Bank (NG)

Charge Nigerian bank accounts using Flutterwave.
We recommend you read the method overview before you proceed.

Last updated 13 September 2026

Charge Nigerian bank accounts using Flutterwave. We recommend you read the method overview before you proceed.

post

https://api.flutterwave.com/v3/charges?type=mono

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

amount int 32 required
This is the amount to be charged. The least amount is NGN 200

email string required
This is the email address of the customer

tx_ref string required
This is a unique reference, unique to the particular transaction being carried out.

currency string required
This is the specified currency to charge in. (expected value: NGN)

fullname string
This is the customers full name. It should include first and last name of the customer

phone_number string
This is the phone number linked to the customer's mobile Bank account

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

tx_ref string

flw_ref string

device_fingerprint string

amount integer

charged_amount integer

app_fee integer

merchant_fee integer

processor_response string

auth_model string

currency string

ip string

narration string

status string

auth_url string

payment_type string

fraud_status string

created_at string

account_id integer

customer object

FILL IN ALL REQUIRED FIELDS

id integer

phone_number string

name string

email string

created_at string

meta object

FILL IN ALL REQUIRED FIELDS

authorization object

FILL IN ALL REQUIRED FIELDS

mode string

redirect string

validate_instructions string

FILL IN ALL REQUIRED FIELDS

status string

message string

data string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys